<?php

namespace {

    define('OR_FILE_FILTER_LESS',1);
}

namespace cms\action
{
    use cms\model\BaseObject;

    use cms\model\Text;
    use \Html;

// OpenRat Content Management System
// Copyright (C) 2002-2012 Jan Dankert, cms@jandankert.de
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


    /**
     * Action-Klasse zum Bearbeiten einer Datei
     * @author Jan Dankert
     * @package openrat.actions
     */
    class TextAction extends FileAction
    {
        public $security = SECURITY_USER;

        var $text;

        /**
         * Konstruktor
         */
        function __construct()
        {
            parent::__construct();
        }


        public function init()
        {

            $this->text = new Text($this->getRequestId());
            $this->text->load();

            parent::init();

            $this->file = $this->text;
        }


        public function valuePost()
        {
            $this->file->value = $this->getRequestVar('value', OR_FILTER_RAW);
            $this->file->saveValue();

            $this->addNotice($this->file->getType(), $this->file->name, 'VALUE_SAVED', 'ok');
            $this->file->setTimestamp();
        }


        public function valueView()
        {
            parent::valueView();
        }


        public function showView() {
            $this->file = $this->text;

            parent::showView();
        }

        public function previewView()
        {
            parent::previewView();
        }
    }
}
